This is an automated email from the ASF dual-hosted git repository.
mseidel pushed a commit to branch trunk
in repository https://gitbox.apache.org/repos/asf/openoffice.git
The following commit(s) were added to refs/heads/trunk by this push:
new be5d7cd4cd Converrt line endings from Mac (CR) to Linux (LF)
be5d7cd4cd is described below
commit be5d7cd4cdbcf05fe843cbc3d869baacc4923811
Author: mseidel <[email protected]>
AuthorDate: Tue Jun 11 12:57:01 2024 +0200
Converrt line endings from Mac (CR) to Linux (LF)
---
main/solenv/bin/newfolderforce | 41 ++++++++++++++++++++++++++++++++++++++++-
1 file changed, 40 insertions(+), 1 deletion(-)
diff --git a/main/solenv/bin/newfolderforce b/main/solenv/bin/newfolderforce
index 0dea7e91af..cb32957d72 100644
--- a/main/solenv/bin/newfolderforce
+++ b/main/solenv/bin/newfolderforce
@@ -1 +1,40 @@
-#rg 16.6.98 # ************************************************************* #
# Licensed to the Apache Software Foundation (ASF) under one # or more
contributor license agreements. See the NOTICE file # distributed with this
work for additional information # regarding copyright ownership. The ASF
licenses this file # to you under the Apache License, Version 2.0 (the #
"License"); you may not use this file except in compliance # with the License.
You may obtain a copy of the License at # #
http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable
law or agreed to in writing, # software distributed under the License is
distributed on an # "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY #
KIND, either express or implied. See the License for the # specific language
governing permissions and limitations # under the License. # #
************************************************************* if {#} != 1
echo emuliert "mkdir -p" echo d
.h. des gesamte Directory-Baum wird angelegt exit end set wo "{1}" set
regex "" set exit 0 for i in in 1 2 3 4 5 6 7 8 9 10 set regex
"{regex}[�:]+:" (evaluate "{wo}" =~ /([:]+{regex})�1�/) > Dev:null if not
`exists -d "{�1}"` newfolder "{�1}" end end set exit 1
\ No newline at end of file
+#rg 16.6.98
+# *************************************************************
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+# *************************************************************
+
+if {#} != 1
+ echo emuliert "mkdir -p"
+ echo d.h. des gesamte Directory-Baum wird angelegt
+ exit
+end
+
+set wo "{1}"
+set regex ""
+
+set exit 0
+for i in in 1 2 3 4 5 6 7 8 9 10
+set regex "{regex}[�:]+:"
+(evaluate "{wo}" =~ /([:]+{regex})�1�/) > Dev:null
+if not `exists -d "{�1}"`
+newfolder "{�1}"
+end
+end
+set exit 1